# Class IrcServiceExtensions | EchoHub Documentation

# Class IrcServiceExtensions

Namespace
  EchoHub.Server.Irc

Assembly
  EchoHub.Server.Irc.dll

    public static class IrcServiceExtensions

Inheritance
  object
  IrcServiceExtensions

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Methods

### AddIrcGateway(WebApplicationBuilder)

    public static WebApplicationBuilder AddIrcGateway(this WebApplicationBuilder builder)

#### Parameters

`builder` WebApplicationBuilder

#### Returns

WebApplicationBuilder